![Bash Script](https://img.shields.io/badge/bash_script-%23121011.svg?style=for-the-badge&logo=gnu-bash&logoColor=white)
![Version](https://img.shields.io/badge/Version-v1.0.0-ffffff?style=flat&color=3ab6ff)

# 💻 Simulateur Automatique d'Évaluation (SAÉ) 1.03

<br>

> ⚠️ L'évaluateur ainsi que ses questions ne correspondent pas à la version de l'évaluateur utilisée lors de l'évaluation de votre SAÉ.
> Ne vous reposez pas sur ce projet pour préparer votre SAÉ.


## Description

Ce projet est un simulateur visant à reproduire le comportement de l'évaluateur de la SAÉ 1.03 (Système).
Il permet de vous entraîner sur quelques questions de connaissances pratiques.


# 🎓 Tuto d'Installation

## 📋 Prérequis
1. **Oracle VM VirtualBox**
2. **ISO de Debian 12** (téléchargeable ici : [Debian Officiel](https://www.debian.org/)).

*Il est recommandé d'utiliser la version netinst - amd64 pour éviter d'exploser votre quota de votre home. (600Mb environ)*

3. Accès aux fichiers `evaluateur.sh` et `init.sh`.

---

## 1️⃣ Création d'une Machine Virtuelle Debian 12

### Étape 1 : Configurer la VM
1. **Ouvre VirtualBox** et clique sur `Nouvelle`.
2. **Paramètres** :
   - Nom : `LeNomQueTuVeux`.
   - Type : `Linux`.
   - Version : `Debian (64-bit)`.

<p style="color:red;">
<b>⚠️ ATTENTION !</b> Si vous êtes à l'IUT, sélectionnez le dossier 'scratch' dans votre home, pour créer la VM. Dans le cas contraire votre quota sera explosé et vous ne pourrez pas lancer.
</p>

3. **Ressources** :
   - Mémoire vive : Alloue **2 Go** (2048 Mo) minimum.
   - Disque dur : Crée un disque de type **VDI**, taille dynamique, avec au moins **10 Go** d’espace.

### Étape 2 : Ajouter l'ISO Debian
1. Dans les paramètres de la VM, va dans l'onglet `Stockage`.
2. Clique sur `Vide` sous le contrôleur IDE.
3. Ajoute l’ISO en cliquant sur `Choisir un fichier disque` et sélectionne ton fichier **Debian 12 ISO**.

### Étape 3 : Installer Debian
1. Lance la VM et démarre l’installation :
   - Choisis `Graphical Install` (si tu préfères une installation graphique).
   - Langue : **Français**.
   - Partitions : Automatique.
   - Logiciels à inclure : Outils de base + **Serveur SSH** (important pour transférer des fichiers).

2. Configure un utilisateur avec mot de passe et termine l’installation.

---

## 2️⃣ Préparer l’Environnement dans la VM (à faire en root!)

### Mettre à Jour le Système
Connecte-toi dans la VM et exécute :
```bash
apt update && apt upgrade -y && apt install -y git
```

## 3️⃣ Récupérer les Scripts
```bash
git clone https://codefirst.iut.uca.fr/git/remi.lavergne/sae103-evaluateur.git
```

## 4️⃣ Lancer les Scripts
1. **Donner les Permissions d’Exécution** :
```bash
cd sae103-evaluateur/scripts
chmod +x evaluateur.sh init.sh
```

2. **Exécuter le Script `init.sh`** :
```bash
./init.sh
```

3. **Exécuter le Script `evaluateur.sh`** :
```bash
./evaluateur.sh
```

## 5️⃣ Sauvegarder l’Environnement pour Revenir à un État Propre (Avancé)
> Une fois l’environnement configuré, crée un instantané dans VirtualBox :

>       Menu Machine > Outils > Instantanés > Prendre un instantané

> Nomme-le pour y revenir facilement si nécessaire.

Il te suffira juste de restaurer cet instantané pour retrouver un environnement propre.

<br>
<br>

---
*© Rémi Lavergne - IUT Clermont-Auvergne - 2024*

Under the CC BY-NC-SA 2.0 FR [License](https://creativecommons.org/licenses/by-nc-sa/2.0/fr/)

